## magnum-ui 5.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

# NOTE: The following are required as horizon.test.settings loads it.
mock>=2.0.0 # BSD

=== debian/changelog ===
magnum-ui (5.0.1-2) unstable; urgency=medium

  * Redesign magnum-ui:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 22:53:52 +0100

magnum-ui (5.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #915101).

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 30 Nov 2018 14:49:43 +0100

=== debian/control ===
Source: magnum-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0),
 python3-coverage,
 python3-hacking,
 python3-magnumclient (>= 2.6.0),
 python3-mock,
 python3-selenium,
 python3-xvfbwrapper,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum-ui.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum-ui
Homepage: https://github.com/openstack/magnum-ui

Package: python3-magnum-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0),
 python3-magnumclient (>= 2.6.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Magnum - dashboard plugin
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/magnum_ui/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum_ui/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python3 -m coverage run \
			$(CURDIR)/manage.py test magnum_ui --settings=magnum_ui.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## magnum-ui 5.2.0

=== requirements.txt ===
--- 
+++ 
@@ -6,10 +6,8 @@
 # added in alphabetical order, however, some dependencies may need to
 # be installed in a specific order.
 #
-openstackdocstheme>=1.18.1 # Apache-2.0
-reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
-sphinxcontrib-apidoc>=0.2.0  # BSD
+# PBR should always appear first
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
+python-magnumclient>=2.11.0 # Apache-2.0
 
-# NOTE: The following are required as horizon.test.settings loads it.
-mock>=2.0.0 # BSD
+horizon>=15.0.0.0b1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

# NOTE: The following are required as horizon.test.settings loads it.
mock>=2.0.0 # BSD

=== debian/changelog ===
magnum-ui (5.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 16 Oct 2019 16:18:50 +0200

magnum-ui (5.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 12:51:24 +0200

magnum-ui (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 22:02:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 96~),
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0),
+ openstack-dashboard (>= 3:15.0.0~rc1),
  python3-coverage,
  python3-hacking,
- python3-magnumclient (>= 2.6.0),
+ python3-magnumclient,
  python3-mock,
  python3-selenium,
  python3-xvfbwrapper,
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum-ui.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum-ui
 Homepage: https://github.com/openstack/magnum-ui
@@ -29,8 +29,8 @@
 Package: python3-magnum-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0),
- python3-magnumclient (>= 2.6.0),
+ openstack-dashboard (>= 3:15.0.0~rc1),
+ python3-magnumclient,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Magnum - dashboard plugin

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/magnum-ui/tags .*/(\d[\d\.]+)\.tar\.gz

## magnum-ui 6.0.0

=== debian/changelog ===
magnum-ui (6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:17:19 +0200

magnum-ui (6.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Move the package to the horizon-plugins subgroup on Salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Apr 2020 00:16:13 +0200

## magnum-ui 6.0.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Cisco.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Cisco.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Cisco"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Cisco"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any error in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
--- 
+++ 
@@ -8,9 +8,7 @@
 #
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
 sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD
 
 # NOTE: The following are required as horizon.test.settings loads it.
-mock>=2.0.0 # BSD

=== debian/changelog ===
magnum-ui (6.0.1-0ubuntu1.1) focal; urgency=medium

  * d/p/lp2038663.patch: Add option to override the fixed subnet when creating
    a new cluster (LP: #2038663).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 06 Aug 2024 09:49:23 +0100

magnum-ui (6.0.1-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Felipe Reyes ]
  * d/watch: Get tarballs from opendev.org.
  * New stable point release for OpenStack Ussuri (LP: #2009966).
  * d/p/add-fedora-coreos-distro.patch: Dropped. Fixed in stable point
    release.

 -- Felipe Reyes <felipe.reyes@canonical.com>  Thu, 23 Mar 2023 09:45:56 -0300

magnum-ui (5.2.0-1ubuntu1) focal; urgency=medium

  * d/p/add-fedora-coreos-distro.patch: Ensure fedora-coreos image can be
    chosen in horizon dashboard (LP: #1855691).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Jul 2021 16:36:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: magnum-ui
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -22,8 +23,7 @@
  python3-selenium,
  python3-xvfbwrapper,
 Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum-ui.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum-ui
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum-ui
 Homepage: https://github.com/openstack/magnum-ui
 
 Package: python3-magnum-ui

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,8 @@
 	# Move config files to standard location
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
 
-	# Move config enabled
-	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
-
-	# Remove config files and dirs from /usr/lib/python3/dist-packages/magnum_ui/
-	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum_ui/enabled
+	# Copy config enabled to openstack-dashboard enabled location
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
 
 	dh_install
 	dh_missing --fail-missing

## magnum-ui 7.0.0

=== debian/changelog ===
magnum-ui (7.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 11:44:12 +0200

magnum-ui (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:39:36 +0200

magnum-ui (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 21:53:07 +0200

=== debian/control ===
Source: magnum-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 96~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.1.0),
 python3-coverage,
 python3-hacking,
 python3-heatclient (>= 1.18.0),
 python3-magnumclient (>= 2.15.0),
 python3-pytest,
 python3-selenium,
 python3-xvfbwrapper,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui
Homepage: https://github.com/openstack/magnum-ui

Package: python3-magnum-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.1.0),
 python3-heatclient (>= 1.18.0),
 python3-magnumclient (>= 2.15.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Description: OpenStack Magnum - dashboard plugin
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the OpenStack dashboard plugin.

## magnum-ui 7.0.1

=== debian/changelog ===
magnum-ui (7.0.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Felipe Reyes ]
  * d/watch: Get tarballs from opendev.org.
  * New stable point release for OpenStack Victoria (LP: #2009966).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Thu, 23 Mar 2023 09:35:23 -0300

magnum-ui (6.0.0-2~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 29 Jul 2021 19:19:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: magnum-ui
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -23,8 +24,7 @@
  python3-selenium,
  python3-xvfbwrapper,
 Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum-ui
 Homepage: https://github.com/openstack/magnum-ui
 
 Package: python3-magnum-ui
@@ -35,8 +35,6 @@
  python3-magnumclient (>= 2.15.0),
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-django-horizon (<< 3:18.6.2-4~),
 Description: OpenStack Magnum - dashboard plugin
  Magnum is an OpenStack project which offers container orchestration engines
  for deploying and managing containers as first class resources in OpenStack.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/magnum-ui/ magnum-ui-(7\.\d.*)\.tar\.gz

## magnum-ui 8.0.0~rc1

=== debian/changelog ===
magnum-ui (8.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarballs from opendev.org.
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild.
  * d/rules: Install to Ubuntu openstack-dashboard path.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 08:34:54 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=magnum-ui
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
@@ -27,7 +29,9 @@
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
 
 	# Copy config enabled to openstack-dashboard enabled location
-	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
+	mkdir -p $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
+	cp $(CURDIR)/magnum_ui/enabled/_1* $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
+	cp $(CURDIR)/magnum_ui/enabled/_2* $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
 
 	dh_install
 	dh_missing --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/magnum-ui/ magnum-ui-(8\.\d.*)\.tar\.gz

## magnum-ui 8.0.0

=== debian/changelog ===
magnum-ui (8.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:46:07 +0000

## magnum-ui 8.0.0+git2021062815.defed81

=== debian/changelog ===
magnum-ui (8.0.0+git2021062815.defed81-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 15:50:54 -0400

## magnum-ui 8.0.0+git2021091315.bcd7fbf

=== debian/changelog ===
magnum-ui (8.0.0+git2021091315.bcd7fbf-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 15:32:50 -0400

## magnum-ui 8.0.1

=== debian/changelog ===
magnum-ui (8.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:11:02 +0000

magnum-ui (8.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:16:40 +0200

magnum-ui (8.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:43:05 +0200

magnum-ui (8.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:28:38 +0200

magnum-ui (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:53:35 +0200

magnum-ui (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * debhelper-compat 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 21:12:56 +0100

=== debian/control ===
Source: magnum-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-hacking,
 python3-heatclient,
 python3-magnumclient,
 python3-pytest,
 python3-selenium,
 python3-xvfbwrapper,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui
Homepage: https://github.com/openstack/magnum-ui

Package: python3-magnum-ui
Architecture: all
Depends:
 openstack-dashboard,
 python3-heatclient,
 python3-magnumclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack Magnum - dashboard plugin
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the OpenStack dashboard plugin.

## magnum-ui 9.0.0

=== debian/changelog ===
magnum-ui (9.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 16:56:49 +0000

magnum-ui (9.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 9.x series.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 12:32:41 +0000

## magnum-ui 9.0.0+git2021120911.fede1be

=== debian/changelog ===
magnum-ui (9.0.0+git2021120911.fede1be-0ubuntu2) jammy; urgency=medium

  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 13:09:03 -0500

magnum-ui (9.0.0+git2021120911.fede1be-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 11:38:50 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/magnum-ui/ magnum-ui-(9\.\d.*)\.tar\.gz

## magnum-ui 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 #
 # PBR should always appear first
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-python-magnumclient>=2.11.0 # Apache-2.0
+python-magnumclient>=2.15.0 # Apache-2.0
+python-heatclient>=1.18.0
 
-horizon>=15.0.0.0b1 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
magnum-ui (10.0.0-0ubuntu3) jammy; urgency=medium

  * d/p/skip-tests.patch: Renamed. Affects all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Apr 2022 08:14:19 -0400

magnum-ui (10.0.0-0ubuntu2) jammy; urgency=medium

  * d/p/skip-py310-tests.patch: Skip py310 test failures until
    fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 11:40:59 -0400

magnum-ui (10.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 10.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 09:56:58 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/magnum-ui/ magnum-ui-(10\.\d.*)\.tar\.gz

## magnum-ui 10.0.0+git2022060212.4c63756

=== debian/changelog ===
magnum-ui (10.0.0+git2022060212.4c63756-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 12:05:49 -0400

=== debian/control ===
Source: magnum-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-django-horizon (>= 4:17.1.0),
 python3-hacking,
 python3-heatclient (>= 1.18.0),
 python3-magnumclient (>= 2.15.0),
 python3-openstackdocstheme,
 python3-pbr (>= 2.0.0),
 python3-pytest (>= 5.3.5),
 python3-selenium (>= 2.50.1),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-xvfbwrapper (>= 0.1.3),
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum-ui
Homepage: https://opendev.org/openstack/magnum-ui

Package: python3-magnum-ui
Architecture: all
Depends:
 openstack-dashboard,
 python3-django-horizon (>= 4:17.1.0),
 python3-heatclient (>= 1.18.0),
 python3-magnumclient (>= 2.15.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Magnum - dashboard plugin
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the OpenStack dashboard plugin.

## magnum-ui 10.0.0+git2022071816.4c63756

=== debian/changelog ===
magnum-ui (10.0.0+git2022071816.4c63756-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:11:59 -0400

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- openstack-dashboard,
+ openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-coverage,
- python3-django-horizon (>= 4:17.1.0),
+ python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-hacking,
  python3-heatclient (>= 1.18.0),
  python3-magnumclient (>= 2.15.0),
@@ -34,8 +34,8 @@
 Package: python3-magnum-ui
 Architecture: all
 Depends:
- openstack-dashboard,
- python3-django-horizon (>= 4:17.1.0),
+ openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
+ python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-heatclient (>= 1.18.0),
  python3-magnumclient (>= 2.15.0),
  python3-pbr (>= 2.0.0),

## magnum-ui 10.0.0+git2022091214.f8580d7

=== debian/changelog ===
magnum-ui (10.0.0+git2022091214.f8580d7-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:50:01 -0400

## magnum-ui 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
magnum-ui (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 22:23:01 +0200

magnum-ui (11.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:18:58 +0200

magnum-ui (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Fixed_Unit_test_for_magnum-ui.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 10:29:29 +0200

magnum-ui (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Fixed_Unit_test_for_magnum-ui.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:16:15 +0200

magnum-ui (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:55:26 +0200

magnum-ui (10.0.0~rc1-1) experimental; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 18:34:05 +0100

magnum-ui (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:09:06 +0200

magnum-ui (9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:49:13 +0200

magnum-ui (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 17:49:05 +0200

=== debian/control ===
Source: magnum-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-coverage,
 python3-hacking,
 python3-heatclient,
 python3-magnumclient,
 python3-pytest,
 python3-selenium,
 python3-xvfbwrapper,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui
Homepage: https://github.com/openstack/magnum-ui

Package: python3-magnum-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-heatclient,
 python3-magnumclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack Magnum - dashboard plugin
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,9 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=magnum-ui
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_clean:
 	dh_clean
@@ -25,13 +23,9 @@
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 
-	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
-
 	# Copy config enabled to openstack-dashboard enabled location
-	mkdir -p $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
-	cp $(CURDIR)/magnum_ui/enabled/_1* $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
-	cp $(CURDIR)/magnum_ui/enabled/_2* $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
 	dh_install
 	dh_missing --fail-missing

## magnum-ui 11.0.0+git2023011009.92518c90

=== debian/changelog ===
magnum-ui (11.0.0+git2023011009.92518c90-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:00:02 -0500

magnum-ui (11.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:49:19 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/magnum-ui/ magnum-ui-(11\.\d.*)\.tar\.gz

## magnum-ui 11.0.0+git2023030309.452ca7da

=== debian/changelog ===
magnum-ui (11.0.0+git2023030309.452ca7da-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:24:41 -0500

=== debian/control ===
Source: magnum-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-coverage,
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-hacking,
 python3-heatclient (>= 1.18.0),
 python3-magnumclient (>= 2.15.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-pbr (>= 2.0.0),
 python3-pytest (>= 5.3.5),
 python3-selenium (>= 2.50.1),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-xvfbwrapper (>= 0.1.3),
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum-ui
Homepage: https://opendev.org/openstack/magnum-ui

Package: python3-magnum-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-heatclient (>= 1.18.0),
 python3-magnumclient (>= 2.15.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Magnum - dashboard plugin
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the OpenStack dashboard plugin.

## magnum-ui 12.0.0

=== debian/changelog ===
magnum-ui (12.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 09:00:24 -0400

## magnum-ui 12.0.0+git2023061415.3954cea9

=== debian/changelog ===
magnum-ui (12.0.0+git2023061415.3954cea9-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:05:38 -0400

## magnum-ui 12.0.0+git2023090714.e9dd1328

=== debian/changelog ===
magnum-ui (12.0.0+git2023090714.e9dd1328-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:24:07 -0400

## magnum-ui 13.0.0

=== debian/changelog ===
magnum-ui (13.0.0-0ubuntu1.1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 17 Nov 2023 14:11:37 +0000

magnum-ui (13.0.0-0ubuntu1.1) mantic; urgency=medium

  * d/p/drop-use-of-features-removed-in-django-4.0.patch: Cherry-picked
    from upstream to provide support for Django 4 (LP: #2039226).
  * d/gbp.conf: Create stable/2023.2 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Oct 2023 10:52:20 -0400

magnum-ui (13.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/p/skip-tests.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:01:28 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-hacking,
  python3-heatclient (>= 1.18.0),
- python3-magnumclient (>= 2.15.0),
+ python3-magnumclient (>= 4.2.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-pbr (>= 2.0.0),
  python3-pytest (>= 5.3.5),
@@ -37,7 +37,7 @@
  openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-heatclient (>= 1.18.0),
- python3-magnumclient (>= 2.15.0),
+ python3-magnumclient (>= 4.2.0),
  python3-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},

## magnum-ui 14.0.0

=== debian/changelog ===
magnum-ui (14.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:26:34 +0100

magnum-ui (14.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 08:52:24 +0000

magnum-ui (13.0.0+git2024011916.463d21c8-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.
  * d/p/drop-use-of-features-removed-in-django-4.0.patch: Drop, included
    upstream.
  * d/control: Drop duplicate BD.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jan 2024 12:25:56 +0000

magnum-ui (13.0.0-0ubuntu2) noble; urgency=medium

  * d/p/drop-use-of-features-removed-in-django-4.0.patch: Cherry-picked
    from upstream to provide support for Django 4 (LP: #2039226).
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Oct 2023 10:52:20 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/magnum-ui/ magnum-ui-(\d.*)\.tar\.gz

## magnum-ui 14.0.0+git2024080809.736edbaa

=== debian/changelog ===
magnum-ui (14.0.0+git2024080809.736edbaa-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 14 Aug 2024 09:31:53 +0100

## magnum-ui 15.0.0

=== debian/changelog ===
magnum-ui (15.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Thu, 03 Oct 2024 11:13:51 +0000

magnum-ui (15.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:25:39 +0100

magnum-ui (15.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/rules: Fix snapshot handling for PBR versioning.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 15:57:49 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-heatclient (>= 1.18.0),
  python3-magnumclient (>= 4.2.0),
  python3-openstackdocstheme (>= 2.2.1),
- python3-pbr (>= 2.0.0),
  python3-pytest (>= 5.3.5),
  python3-selenium (>= 2.50.1),
  python3-sphinxcontrib.apidoc (>= 0.2.0),

## magnum-ui 15.0.0+git2025011511.829919f

=== debian/changelog ===
magnum-ui (15.0.0+git2025011511.829919f-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 09:21:06 +0000

magnum-ui (15.0.0-0ubuntu2) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Jan 2025 09:18:55 +0000

## magnum-ui 15.0.0+git2025030311.829919f

=== debian/changelog ===
magnum-ui (15.0.0+git2025030311.829919f-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 15:00:36 +0000
